## net.sf.saxon.evpull
Class SingletonEventIterator

    java.lang.Object
      net.sf.saxon.evpull.SingletonEventIterator

All Implemented Interfaces:
  EventIterator, PullEvent

    public class SingletonEventIterator

extends Object
implements EventIterator

This class represents an EventIterator over a sequence containing a single pull event.

Constructor Summary
`SingletonEventIterator(PullEvent event)` Create an iterator over a sequence containing a single pull event

Method Summary
`boolean` `isFlatSequence()` Determine whether the EventIterator returns a flat sequence of events, or whether it can return nested event iterators
`PullEvent` `next()` Get the next event in the sequence

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingletonEventIterator

    public SingletonEventIterator(PullEvent event)

  Create an iterator over a sequence containing a single pull event

  Parameters:
    `event` - the single event. This must not be an EventIterator

Method Detail

### next

    public PullEvent next()
                   throws XPathException

  Get the next event in the sequence

  Specified by:
    `next` in interface `EventIterator`
  Returns:
    the next event, or null when the sequence is exhausted
  Throws:
    `XPathException` - if a dynamic evaluation error occurs

### isFlatSequence

    public boolean isFlatSequence()

  Determine whether the EventIterator returns a flat sequence of events, or whether it can return nested event iterators

  Specified by:
    `isFlatSequence` in interface `EventIterator`
  Returns:
    true if the next() method is guaranteed never to return an EventIterator

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.